> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rad.security/llms.txt
> Use this file to discover all available pages before exploring further.

# Introduction

> RAD API

## Authentication

The API is authenticated using Session Tokens sent as Bearer tokens in the `Authorization` header.

1. Create an access key in the [https://next.app.rad.security/\$\{your-tenant-id}/\$\{your-account-id}/settings/tenant-access-keys](https://next.app.rad.security/\$\{your-tenant-id}/\$\{your-account-id}/settings/tenant-access-keys)
2. Create a session token:

```
curl 'https://api.rad.security/authentication/authenticate' \
-d'{"access_key_id":"<key id>","secret_key":"<secret key>"}'
```

You'll receive a response similar to the one below:

```
{"token":"<session token>","expires_at":"2023-03-29T18:02:07.06908577Z"}
```

3. Run an API call using a Session token:

```
curl -H'Authorization: Bearer <session token>' \
'https://api.rad.security/accounts'
```
